summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2019-04-01 14:54:48 -0500
committerJory Pratt <anarchy@gentoo.org>2019-04-01 14:56:04 -0500
commitc3bbb5532939864c7426276174321558e72e2d11 (patch)
tree79cbfd7751f994854c72340e243329b711701830
parentnet-libs/nodejs: Add libressl support by using bundled openssl (diff)
downloadanarchy-c3bbb5532939864c7426276174321558e72e2d11.tar.gz
anarchy-c3bbb5532939864c7426276174321558e72e2d11.tar.bz2
anarchy-c3bbb5532939864c7426276174321558e72e2d11.zip
bump skalibs/s6 to version 2.8.0.0 to work on utmps
Signed-off-by: Jory Pratt <anarchy@gentoo.org>
-rw-r--r--dev-libs/skalibs/Manifest3
-rw-r--r--dev-libs/skalibs/metadata.xml20
-rw-r--r--dev-libs/skalibs/skalibs-2.8.0.0.ebuild40
-rw-r--r--sys-apps/s6/Manifest3
-rw-r--r--sys-apps/s6/metadata.xml24
-rw-r--r--sys-apps/s6/s6-2.8.0.0.ebuild50
6 files changed, 140 insertions, 0 deletions
diff --git a/dev-libs/skalibs/Manifest b/dev-libs/skalibs/Manifest
new file mode 100644
index 0000000..b01847a
--- /dev/null
+++ b/dev-libs/skalibs/Manifest
@@ -0,0 +1,3 @@
+DIST skalibs-2.8.0.0.tar.gz 226948 BLAKE2B 8e8f6dbdea39619da43808e9c7a308fc4e399c6962ebc062c46f41d8e7df341123f114977ad9c66d1c09935854dcb14895d9b1505e125ff7a3019a05e5b8641f SHA512 0d8d4a5a68a3f522312c69913a2e998a7cd8562fb99595ed6631531af590701f995b05c2d85defab3cd24d3480787a7456c8326e7bff00cd1a84ff06ca89b463
+EBUILD skalibs-2.8.0.0.ebuild 962 BLAKE2B 9021ed99abba3ade6a91c7114f82dbbbd67d74e0fe6a25d161899e15c8a3633bb51221dd8a23ee3c71047d006333f8cc2322a01a91ed0bb8ca5525cc0d71bbdf SHA512 99aba2aea0c3160111ad3e405df848f77862a13caa96c654ddfc8a803190ffc8662e064f7a64096a0d3dd41a78f049e9a55265f5e98dcd55043aa6c958e18710
+MISC metadata.xml 578 BLAKE2B d5f0ec32e0f6466121a5e91ddfd707a488517f4009fbb999e2ef04d5425dadfe16d4ff7792b64b65065a24b3723aa3076999ca2ce576bb7b134916e0a723b7e6 SHA512 837e8b1a0a2cc499f6431f3ea91a6b240c74d3e6087457d1282f1389f80a501446cd49d65de4233e1a58ce5ecc8191ddb7583d1a03486c35f77c7cd47eaf4890
diff --git a/dev-libs/skalibs/metadata.xml b/dev-libs/skalibs/metadata.xml
new file mode 100644
index 0000000..993ae05
--- /dev/null
+++ b/dev-libs/skalibs/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>aranea@aixah.de</email>
+ <name>Luis Ressel</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>samuel@sholland.org</email>
+ <name>Samuel Holland</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-libs/skalibs/skalibs-2.8.0.0.ebuild b/dev-libs/skalibs/skalibs-2.8.0.0.ebuild
new file mode 100644
index 0000000..58829b1
--- /dev/null
+++ b/dev-libs/skalibs/skalibs-2.8.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="skarnet.org general-purpose libraries"
+HOMEPAGE="https://www.skarnet.org/software/skalibs/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc ipv6 static-libs"
+
+DEPEND=""
+RDEPEND=""
+
+HTML_DOCS="doc/*"
+
+src_prepare() {
+ default
+
+ # Remove QA warning about LDFLAGS addition
+ sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
+
+ # configure overrides gentoo's -fstack-protector default
+ sed -i "/^tryflag CFLAGS -fno-stack-protector$/d" "${S}/configure" || die
+}
+
+src_configure() {
+ econf \
+ --datadir=/etc \
+ --dynlibdir=/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --sysdepdir=/usr/$(get_libdir)/${PN} \
+ --enable-clock \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable ipv6)
+}
diff --git a/sys-apps/s6/Manifest b/sys-apps/s6/Manifest
new file mode 100644
index 0000000..5d4f92e
--- /dev/null
+++ b/sys-apps/s6/Manifest
@@ -0,0 +1,3 @@
+DIST s6-2.8.0.0.tar.gz 207958 BLAKE2B 8ef4c6b8272b1187072617c4007eba1a5a2b2879770f008725689657bd6c8fdb0142ada11ec0c7480d2768476c41e0c6bb841a74f05caf397eb7fdce5a37d9b3 SHA512 e2f2f0fb9481a745fc80b3b8c0aa2de979c0c8dbe066e2402cf7700a08edc32448d7ed3065a19a01a18dc5a12f3abcfd3aba5d2c5fefbbf49fee4a6f8396c106
+EBUILD s6-2.8.0.0.ebuild 1356 BLAKE2B dc96623106a75ef91f62809cc80c153d3a72065a8f9b071dd2e23f22c87c1478226b8cca21508cc8ca6bdac0c2a6968e9caf664e7b404fd3389cbcf97dd9ab10 SHA512 9ea87054a0cd8c1ad1d80207c149c4c3fd504d610d5f7ab3c96b75cb3d6d0dde9d8e7efb22b5ac3168a3951fe5658535bf4f63d45fbc72fa7cfcab0142b6d29d
+MISC metadata.xml 743 BLAKE2B 51cce1b0cbf5b0a026853d24c760d20cd8a82baae31bd4c7dc67af31933beaec632d8937dc8236ae2fec3807ffdc748f82cdd50a025179659ac3e3854f209006 SHA512 7391141506e39054d73b3ef9a336feaef887896603db105d493cfa50fa7dad721c8b0aaee16efb10be5aaa0561f2db19987de1431ee79e312cdb04e7edf77b6f
diff --git a/sys-apps/s6/metadata.xml b/sys-apps/s6/metadata.xml
new file mode 100644
index 0000000..b8be92c
--- /dev/null
+++ b/sys-apps/s6/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ <name>William Hubbs</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>aranea@aixah.de</email>
+ <name>Luis Ressel</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>samuel@sholland.org</email>
+ <name>Samuel Holland</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ S6 is a small suite of programs for UNIX designed to allow
+ service supervision similar to daemontools or runit.
+ </longdescription>
+</pkgmetadata>
diff --git a/sys-apps/s6/s6-2.8.0.0.ebuild b/sys-apps/s6/s6-2.8.0.0.ebuild
new file mode 100644
index 0000000..c9e0cbf
--- /dev/null
+++ b/sys-apps/s6/s6-2.8.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="skarnet.org's small and secure supervision software suite"
+HOMEPAGE="https://www.skarnet.org/software/s6/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+DEPEND=">=dev-lang/execline-2.5.0.1[static-libs?]
+ >=dev-libs/skalibs-2.8.0.0[static-libs?]
+"
+RDEPEND=">=dev-lang/execline-2.5.0.1:=
+ !static? ( >=dev-libs/skalibs-2.8.0.0:= )
+"
+
+DOCS="AUTHORS examples README*"
+HTML_DOCS="doc/*"
+
+src_prepare() {
+ default
+
+ # Remove QA warning about LDFLAGS addition
+ sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
+
+ # configure overrides gentoo's -fstack-protector default
+ sed -i "/^tryflag CFLAGS -fno-stack-protector$/d" "${S}/configure" || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/execline \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ --enable-shared \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}